w3h5

Vue项目使用Ant Design升级后报错Carousel `vertical` is deprecated的解决方法

昨天,我们解决了 Ant Design 升级后,国际化组件 LocaleProvider 报错的问题:Vue项目使用Ant Design升级后报错`LocaleProvider` is deprecated的解决方法

今天又发现首页有一个报错:Warning: [antdv: Carousel] `vertical` is deprecated, please use `dotPosition` instead.

实际上 Carousel 走马灯/轮播组件也有更新:

之前的 vertical 属性被弃用,改用 dotPosition 属性。

将代码改一下就好了。

修改前:

<a-carousel vertical autoplay :dots="false">
  ...
</a-carousel>

修改后:

<a-carousel dotPosition="right" autoplay :dots="false">
  ...
</a-carousel>

这里的 dotPosition 属性代表面板指示点位置。

该属性可选,有4个参数:top 居上、 bottom 居下(默认值)、 left 居左、 right 居右。

当参数为 top 和 bottom 时,走马灯左右轮播,当参数为  left 和 right 时上下滚动。

dot 属性表示是否显示面板指示点,有两个参数,当参数为 false 时则不显示指示点,当参数为 true 时则显示,默认是显示的。

声明:本文由w3h5原创,转载请注明出处:《Vue项目使用Ant Design升级后报错Carousel `vertical` is deprecated的解决方法》 https://www.w3h5.com/post/534.html

赞 (0)
分享到: +More |

评论 沙发

换个身份